[java-parent-project COMMIT] in /trunk: bin/create-project-common.sh bin/create-project-monolithic.sh bin/create-proj...
noreply at shibboleth.net
noreply at shibboleth.net
Wed Dec 21 16:08:23 GMT 2011
Author: lajoie
Date: Wed Dec 21 16:08:23 2011
New Revision: 45
URL: http://svn.shibboleth.net/view/java-parent-project?rev=45&view=rev
Log:
finish up config of aggregated report generation for projects
add generation of site descriptor in new project scripts
Modified:
trunk/bin/create-project-common.sh
trunk/bin/create-project-monolithic.sh
trunk/bin/create-project-multimodule.sh
trunk/pom.xml
Modified: trunk/bin/create-project-common.sh
URL: http://svn.shibboleth.net/view/java-parent-project/trunk/bin/create-project-common.sh?rev=45&r1=44&r2=45&view=diff
==============================================================================
--- trunk/bin/create-project-common.sh (original)
+++ trunk/bin/create-project-common.sh Wed Dec 21 16:08:23 2011
@@ -125,6 +125,17 @@
expand_macro $1/pom.xml "MVN_ARTF_ID" $4
}
+# Creates the Maven site configuration
+#
+# $1 directory in which the site configuration will be placed
+function create_site_file {
+ $MKDIR -p "$1/src/site"
+ check_retval $? "Unable to create site source directory"
+
+ download_file "$PARENT_PROJ_URL/resources/maven/site.xml" "$1/src/site/site.xml"
+ check_retval $? "Unable to download site descriptor"
+}
+
# Import a new project in to a repository
#
# $1 Project directory; removed once import is completed
Modified: trunk/bin/create-project-monolithic.sh
URL: http://svn.shibboleth.net/view/java-parent-project/trunk/bin/create-project-monolithic.sh?rev=45&r1=44&r2=45&view=diff
==============================================================================
--- trunk/bin/create-project-monolithic.sh (original)
+++ trunk/bin/create-project-monolithic.sh Wed Dec 21 16:08:23 2011
@@ -36,6 +36,7 @@
create_doc $PROJ_DIR
create_eclipse_files $PROJ_DIR $MVN_ARTF_ID
create_pom_file $PROJ_DIR $PARENT_PROJ_URL/resources/maven/pom.xml.tmpl $MVN_GROUP_ID $MVN_ARTF_ID
+create_site_file $PROJ_DIR
$ECHO "Importing project structure into SVN repository $SVN_PROJ_URL and checking out working copy to ./$MVN_ARTF_ID"
import_checkout_svn_project $SVN_PROJ_DIR $SVN_PROJ_URL $MVN_ARTF_ID
Modified: trunk/bin/create-project-multimodule.sh
URL: http://svn.shibboleth.net/view/java-parent-project/trunk/bin/create-project-multimodule.sh?rev=45&r1=44&r2=45&view=diff
==============================================================================
--- trunk/bin/create-project-multimodule.sh (original)
+++ trunk/bin/create-project-multimodule.sh Wed Dec 21 16:08:23 2011
@@ -36,6 +36,7 @@
check_retval $? "Unable to create project parent module directory"
create_pom_file $PROJ_PARENT_DIR $PARENT_PROJ_URL/resources/maven/pom.xml.tmpl $MVN_GROUP_ID $PROJ_ID-parent
+create_site_file $PROJ_PARENT_DIR
download_file $PARENT_PROJ_URL/resources/maven/module-pom.xml.tmpl $PROJ_PARENT_DIR/module-pom.xml.tmpl
expand_macro $PROJ_PARENT_DIR/module-pom.xml.tmpl "MVN_GROUP_ID" $MVN_GROUP_ID
Modified: trunk/pom.xml
URL: http://svn.shibboleth.net/view/java-parent-project/trunk/pom.xml?rev=45&r1=44&r2=45&view=diff
==============================================================================
--- trunk/pom.xml (original)
+++ trunk/pom.xml Wed Dec 21 16:08:23 2011
@@ -404,15 +404,30 @@
<reporting>
<plugins>
+ <!--
+ We use the aggregate reports for the javadoc and jxr reports because even if the
+ project isn't a multi-module project the plugin still does the right thing.
+ -->
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-javadoc-plugin</artifactId>
<version>2.8</version>
+ <reportSets>
+ <reportSet>
+ <reports>
+ <report>aggregate</report>
+ <report>test-aggregate</report>
+ </reports>
+ </reportSet>
+ </reportSets>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
<artifactId>maven-jxr-plugin</artifactId>
<version>2.3</version>
+ <configuration>
+ <aggregate>true</aggregate>
+ </configuration>
</plugin>
<plugin>
<groupId>org.apache.maven.plugins</groupId>
More information about the commits
mailing list